Zoneomics Logo
Gets zoning information of an area
GET
https://api.zoneomics.com/v2/zoneDetail?{area}

zoneDetail API lets you access the zoning data of any location in the USA and Canada. You can search for zoning data using the Point and Polygon spatial elements.

You can search for the zoning data based on:

Point-Based Search technique that lets you get zoning information of a specific location by using the following parameters:

  • lat, lng
  • address

Polygon-Based Search technique that lets you get zoning information on an area whose boundaries are defined by using the following parameters:

  • boundary
  • zipcode
  • radius (with lat/lng)
  • bottom_right_lat, bottom_right_lng, top_left_lat, top_left_lng
Request Data

This section describes the Polygon-Based search parameters of zoneDetail API.

Request Parameters
api_key
string
required

A token needed to make API calls.

lat
number

Latitude of the zone, for example lat= 42.09811892122124.

lng
number

Longitude of the zone, for example lng= - 79.24026489257814.

bottom_right_lat
string

Bottom right latitude is the coordinate from the lower right corner of the area for which we want details.

bottom_right_lng
string

Bottom right longitude is the coordinate from the lower right corner of the area for which we want details.

top_left_lat
string

Top left latitude is the coordinate from the top left corner of the area for which we want details.

top_left_lng
string

Top left longitude is the coordinate from the top left corner of the area for which we want details.

radius
number

(lat/lng are required when using this parameter)

Specifies the search radius in meters from a point of origin defined by the latitude (lat) and longitude (lng) parameters. When lat and lng are used together with radius, they become the center point (origin) of the circular search area. The maximum allowed radius is 5,000 meters. Example: If you set lat = 40.7128 and lng = -74.0060 (around New York City) with a radius = 1000, the API will return results within a 1 km circular area centered at that point.

boundary
string

This parameter lets you specify the boundary of an area within which you want its zoning information.

zipcode
number

Gives you zone details based on a zip code

group_plu
string

This parameter is optional and can have any of the below-mentioned values:

ValueDescription
TrueAll PLU (Permitted Land Use) values except for ‘as_of_right’, will be grouped in a single attribute called ‘conditional_uses
FalseAll PLU (Permitted Land Use) values will be presented as separate attributes.
clipped_geom
string

This parameter can have a True or False value

ValueDescription
Truemeans return the zone data inside the user defined polygon.
Falsemeans return the data of those zones also which are intersecting with user defined polygon.
output_fields
string

This parameter is optional and can have any of these values

ValueDescription
defaultIf no value is passed for the output_fields param, API would return basic zone details only. You can pass this value in API as: output_fields=default
pluAPI would return zone details along with Permitted Land Use Information, if available.You can pass this value in API as: output_fields=plu
plu-tagsreturns the list of land use classes along with their subclasses. You can pass this value in API as: output_fields=plu-tags
controlsreturns the controls data for the zone.You can pass this value in API as: output_fields=controls
parcelsreturns information of the parcels.You can pass this value in API as: output_fields=parcels
replace_STF
Boolean

replace_STF is a boolean type query parameter that can have a True or False value.

ValueDescription
TrueWhen set to "‘true’" it lets you view the actual values of the building controls parameters instead of the "‘STF’" value for control data item.
FalseIf it is set to "‘false’" then "‘STF’" text is returned for controls data items.
Response Data
status
boolean

Indicates whether the request was successful or not

link
string

The link field contains the URL that corresponds to the resource or endpoint you requested. It provides a direct link to the requested resource, enabling you to quickly access or reference the specific location related to their request within the API.

data
object

This returns a GeoJSON object with all the parcels that matched the query, each FeatureCollection object contains the following information. The response could vary depending on the value of the output_fields

Data GroupResponse ItemDescriptionType

Meta

city_id

Unique ID for a city.

number

city_name

Name of the city.

string

last_updated

Indicates the date when the zoning data was last updated in the Zoneomics data repository.

date

Zone Details

zone_code

The zone code of the area.

string

zone_name

The name of the zone.

string

zone_type

Type of zone for example residential, commercial etc.

string

zone_sub_type

This field is the further classification of zone_type, for example single family residence etc.

string

zone_guide

This field lets you know about the purpose of the zone. For example: The purpose and intent of the residential single-family districts is to provide for low-density single-family residential development in the City of South Pasadena.

string

link

This field contains a web link where you can get more information on zone codes.

string

lat

Latitude of the zone.

number

lng

Longitude of the zone.

number

PLU Data

as_of_right

List of land uses and activities that are permitted within the zone as of right.

array

conditional_uses

List of land uses and activities that are permitted within the zone with a conditional use permit.

array

prohibited

List of land uses that refer to activities, businesses, or purposes that are explicitly not allowed within a specific area or zone according to zoning laws.

string

Controls Data

standard

This object contains standardized attributes that are represented by a single numeric value. For example, max_height_ft.

string

non-standard

This object contains attributes that could have long numeric descriptive string values. The attribute names under this object will be exactly same as used by the city. For example, minimum_lot_area_sq_feet.

string

Parcels "(available for Enterprise users only.)"

lat

Latitude of the parcel.

number

lng

Longitude of the parcel.

number

apn

ID of the parcel.

number

address

Address of the parcel.

string

land_use

Contains the permitted land use of the parcel. For example, Commercial, Religious.

string

owner_info

Displays the parcel owner's information, including the owner's name and address.

object

area

Area covered by the parcel. The area covered by the parcel is displayed in square yards.

number

area_unit

Specifies the unit of measurement "(sq.yds)" used to express the area value of the parcel.

string

Use cases

Find all the usecases for the api below

Find Zoning Data by Extend Parameters
Polygon-Based search based on top and bottom coordinates of the area we want zoning details for.
https://api.zoneomics.com/v2/zoneDetail?bottom_right_lat=43.65546088615209&bottom_right_lng=-79.38486814498903&top_left_lat=43.65333396303209&top_left_lng=-79.37929987907411&api_key=<your API key here>
Find Zoning Data by Boundary Parameter
Polygon-Based search based on boundary.
https://api.zoneomics.com/v2/zoneDetail?boundary=-82.73751676082611,27.755647627495797|-82.73766160011292,27.755685605068482|-82.73795664310454,27.75549096986848|-82.7379834651947,27.755153917845487|-82.73965716362,27.755139676187724|-82.73963570594788,27.753535104153002|-82.7382355928421,27.753535104153002|-82.73751676082611,27.755647627495797&api_key=<api_key>
Find Zoning Data by Radius Parameter
Polygon-Based search based on radius and lat/lng.
https://api.zoneomics.com/v2/zoneDetail?lat=40.74028706775465&lng=-73.99005681375617&radius=5&api_key=<api_key>
Find Zoning Data by Zipcode Parameter with output_fields
Polygon-Based search based on zipcode with output_fields=parcels
https://api.zoneomics.com/v2/zoneDetail?api_key=<your API key>&zipcode=14733&output_fields=parcels

Ready to build with zoning data?

Talk to our team about API access, data coverage, pricing, and the best Zoneomics API package for your use case.